/**
 ** Copyright (c) 2004 LAAS/CNRS 
 **
 ** Matthieu Herrb - Fri Apr  2 2004
 **
 ** $Source$
 ** $Revision$
 ** $Date$
 ** 
 **/
#ident "$Id$"

#include <errno.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include "serial.h"

int
main(int argc, char *argv[])
{
  int fd;

/* #define READ_ONLY_CHAR */
#ifdef READ_ONLY_CHAR
	int c;
#else
	unsigned char buf[4];
	int i;
	unsigned int data;
#endif

	fd = openSerial("/dev/ttyR6", 38400);

	writeSerial(fd, "P", 1);

	if (fd == -1) {
		fprintf(stderr, "serialInit: %s\n", strerror(errno));
		exit(2);
	}
	while (1) {
#ifdef READ_ONLY_CHAR
		c = serialGetChar(fd);
		printf("%c", c);
/* 		printf("%02x\n", c); */

#else
		readSerial(fd, buf, 4);
		for (i=0; i<4 ; i++) {
		  printf("%02x", buf[i]);
		}
		printf("\n");

		printf ("type %02x\n", (buf[0] & 0x18) >> 3);
		data = (buf[0] & 0x3) << 24 +
		       (buf[1]) << 16 +
		       (buf[2]) << 8 +
		       (buf[3]);
		
		if (buf[0] & 0x2) {
		  /* complement a 2 */ 
		}
		printf ("data %08x\n", data);
#endif
		
	}
}
	   
